/***********************************************************************/
/*                                                                     */
/*  FILE        :iodefine.h                                            */
/*  DATE        :Fri, Jun 06, 2008                                     */
/*  DESCRIPTION :Definition of I/O Register                            */
/*  CPU TYPE    :H8SX/1544                                             */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.4.9).     */
/*  2008/6/6: INTC.INTCR.BYTE Address+2ׁACBby A-one    */
/*            <--diffƋLq                                            */
/***********************************************************************/

/************************************************************************/
/*      H8SX/1544 Group Include File                       Ver 2.2      */
/************************************************************************/
/*  This header file can be used with H8C/C++ Compiler Package          */
/*                   V.6.00 Release02 or later.                         */
/************************************************************************/
/* The bit-oriented writing operation to the CONTROL0,LAFM,IRR,TXPR0,   */
/* TXCR0,TXACK0,ABACK0,RXPR0,RFPR0,MBIMR0 and UMSR0 in each mailbox of  */
/* RCAN-ET can't be warranted.                                          */
/* The bit-formats of CONTROL0 and LAFM are the ones when IDR=1 is set  */
/* to the MCR register.                                                 */
/************************************************************************/
struct st_rcanet0 {                                     /* structRCAN-ET*/
                  union {                               /* MCR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int IDR  :1;    /*    IDR       */
                               unsigned int AHBO :1;    /*    AHBO      */
                               unsigned int      :3;    /*              */
                               unsigned int TST  :3;    /*    TST       */
                               unsigned int AWM  :1;    /*    AWM       */
                               unsigned int HDBO :1;    /*    HDBO      */
                               unsigned int SLPM :1;    /*    SLPM      */
                               unsigned int      :2;    /*              */
                               unsigned int MTP  :1;    /*    MTP       */
                               unsigned int HLTRQ:1;    /*    HLTRQ     */
                               unsigned int RSTRQ:1;    /*    RSTRQ     */
                               }     BIT;               /*              */
                        }       MCR;                    /*              */
                  union {                               /* GSR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int     :10;    /*              */
                               unsigned int EPSB: 1;    /*    EPSB      */
                               unsigned int HSSB: 1;    /*    HSSB      */
                               unsigned int RSB : 1;    /*    RSB       */
                               unsigned int MTPF: 1;    /*    MTPF      */
                               unsigned int TRWF: 1;    /*    TRWF      */
                               unsigned int BOF : 1;    /*    BOF       */
                               }     BIT;               /*              */
                        }       GSR;                    /*              */
                  union {                               /* BCR1         */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int TSG1:4;     /*    TSG1      */
                               unsigned int     :1;     /*              */
                               unsigned int TSG2:3;     /*    TSG2      */
                               unsigned int     :2;     /*              */
                               unsigned int SJW :2;     /*    SJW       */
                               unsigned int     :3;     /*              */
                               unsigned int BSP :1;     /*    BSP       */
                               }     BIT;               /*              */
                        }       BCR1;                   /*              */
                  union {                               /* BCR0         */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int    :8;      /*              */
                               unsigned int BRP:8;      /*    BRP       */
                               }     BIT;               /*              */
                        }       BCR0;                   /*              */
                  union {                               /* IRR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int       :2;   /*              */
                               unsigned int MEIF  :1;   /*    MEIF      */
                               unsigned int BASMIF:1;   /*    BASMIF    */
                               unsigned int       :2;   /*              */
                               unsigned int MOOIF :1;   /*    MOOIF     */
                               unsigned int MBEIF :1;   /*    MBEIF     */
                               unsigned int OLFIF :1;   /*    OLFIF     */
                               unsigned int BOFIF :1;   /*    BOFIF     */
                               unsigned int EPIF  :1;   /*    EPIF      */
                               unsigned int RECWIF:1;   /*    RECWIF    */
                               unsigned int TECWIF:1;   /*    TECWIF    */
                               unsigned int RFRIF :1;   /*    RFRIF     */
                               unsigned int DFRIF :1;   /*    DFRIF     */
                               unsigned int RSTIF :1;   /*    RSTIF     */
                               }     BIT;               /*              */
                        }       IRR;                    /*              */
                  union {                               /* IMR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int       :2;   /*              */
                               unsigned int MEIM  :1;   /*    MEIM      */
                               unsigned int BASMIM:1;   /*    BASMIM    */
                               unsigned int       :2;   /*              */
                               unsigned int MOOIM :1;   /*    MOOIM     */
                               unsigned int MBEIM :1;   /*    MBEIM     */
                               unsigned int OLFIM :1;   /*    OLFIM     */
                               unsigned int BOFIM :1;   /*    BOFIM     */
                               unsigned int EPIM  :1;   /*    EPIM      */
                               unsigned int RECWIM:1;   /*    RECWIM    */
                               unsigned int TECWIM:1;   /*    TECWIM    */
                               unsigned int RFRIM :1;   /*    RFRIM     */
                               unsigned int DFRIM :1;   /*    DFRIM     */
                               unsigned int RSTIM :1;   /*    RSTIM     */
                               }     BIT;               /*              */
                        }       IMR;                    /*              */
                  union {                               /* ECR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int TEC:8;      /*    TEC       */
                               unsigned int REC:8;      /*    REC       */
                               }     BIT;               /*              */
                        }       ECR;                    /*              */
                  char          wk1[18];                /*              */
                  union {                               /* TXPR0        */
                        unsigned long LONG;             /*  Long Access */
                        struct {                        /*  Bit  Access */
                               unsigned long     :16;   /*    MB15      */
                               unsigned long MB15: 1;   /*    MB15      */
                               unsigned long MB14: 1;   /*    MB14      */
                               unsigned long MB13: 1;   /*    MB13      */
                               unsigned long MB12: 1;   /*    MB12      */
                               unsigned long MB11: 1;   /*    MB11      */
                               unsigned long MB10: 1;   /*    MB10      */
                               unsigned long MB9 : 1;   /*    MB9       */
                               unsigned long MB8 : 1;   /*    MB8       */
                               unsigned long MB7 : 1;   /*    MB7       */
                               unsigned long MB6 : 1;   /*    MB6       */
                               unsigned long MB5 : 1;   /*    MB5       */
                               unsigned long MB4 : 1;   /*    MB4       */
                               unsigned long MB3 : 1;   /*    MB3       */
                               unsigned long MB2 : 1;   /*    MB2       */
                               unsigned long MB1 : 1;   /*    MB1       */
                               }      BIT;              /*              */
                        }       TXPR0;                  /*              */
                  char          wk2[6];                 /*              */
                  union {                               /* TXCR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               }     BIT;               /*              */
                        }       TXCR0;                  /*              */
                  char          wk3[6];                 /*              */
                  union {                               /* TXACK0       */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               }     BIT;               /*              */
                        }       TXACK0;                 /*              */
                  char          wk4[6];                 /*              */
                  union {                               /* ABACK0       */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               }     BIT;               /*              */
                        }       ABACK0;                 /*              */
                  char          wk5[6];                 /*              */
                  union {                               /* RXPR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       RXPR0;                  /*              */
                  char          wk6[6];                 /*              */
                  union {                               /* RFPR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       RFPR0;                  /*              */
                  char          wk7[6];                 /*              */
                  union {                               /* MBIMR0       */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       MBIMR0;                 /*              */
                  char          wk8[6];                 /*              */
                  union {                               /* UMSR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       UMSR0;                  /*              */
                 char           wk9[164];               /*              */
                 struct {                               /* MB           */
                        union {                         /*  CTRL0       */
                              unsigned long LONG;       /*  Long Access */
                              struct {                  /*  Word Access */
                                     unsigned int H;    /*     High     */
                                     unsigned int L;    /*     Low      */
                                     }      WORD;       /*              */
                              struct {                  /*  Bit  Access */
                                     unsigned long IDE  : 1;/*  IDE     */
                                     unsigned long RTR  : 1;/*  RTR     */
                                     unsigned long      : 1;/*          */
                                     unsigned long STDID:11;/*  STDID   */
                                     unsigned long EXDID:18;/*  EXDID   */
                                     }      BIT;        /*              */
                              }       CTRL0;            /*              */
                        union {                         /*  LAFM        */
                              unsigned long LONG;       /*  Long Access */
                              struct {                  /*  Word Access */
                                     unsigned int H;    /*     High     */
                                     unsigned int L;    /*     Low      */
                                     }      WORD;       /*              */
                              struct {                  /*  Bit  Access */
                                     unsigned long IDE  : 1;/*  IDE     */
                                     unsigned long      : 2;/*          */
                                     unsigned long STDID:11;/*  STDID   */
                                     unsigned long EXDID:18;/*  EXDID   */
                                     }      BIT;        /*              */
                              }       LAFM;             /*              */
                        unsigned char MSG_DATA[8];      /*  MSG_DATA    */
                        union {                         /*  CTRL1       */
                              unsigned int WORD;        /*  Word Access */
                              struct {                  /*  Byte Access */
                                     unsigned char H;   /*     High     */
                                     unsigned char L;   /*     Low      */
                                     }     BYTE;        /*              */
                              struct {                  /*  Bit  Access */
                                     unsigned char     :2;/*            */
                                     unsigned char MNC :1;/*  TTE       */
                                     unsigned char ATX :1;/*  ATX       */
                                     unsigned char DART:1;/*  DART      */
                                     unsigned char MBC :3;/*  MBC       */
                                     unsigned char     :4;/*            */
                                     unsigned char DLC :4;/*  DLC       */
                                     }     BIT;         /*              */
                              }       CTRL1;            /*              */
                        char          wk[14];           /*              */
                        }       MB[16];                 /*              */
                 char           wk10[2840];             /*              */
                  union {                               /* RCANMON      */
                        unsigned char BYTE;             /*  Byte Access */
                        struct {                        /*  Bit  Access */
                               unsigned char       :1;  /*              */
                               unsigned char CTxSTP:1;  /*    CTxSTP    */
                               unsigned char RCANE :1;  /*    RCANE     */
                               unsigned char       :3;  /*              */
                               unsigned char CTxD  :1;  /*    CTxD      */
                               unsigned char CRxD  :1;  /*    CRxD      */
                               }     BIT;               /*              */
                        }       RCANMON;                /*              */
};                                                      /*              */
struct st_rcanet1 {                                     /* structRCAN-ET*/
                  union {                               /* MCR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int IDR  :1;    /*    IDR       */
                               unsigned int AHBO :1;    /*    AHBO      */
                               unsigned int      :3;    /*              */
                               unsigned int TST  :3;    /*    TST       */
                               unsigned int AWM  :1;    /*    AWM       */
                               unsigned int HDBO :1;    /*    HDBO      */
                               unsigned int SLPM :1;    /*    SLPM      */
                               unsigned int      :2;    /*              */
                               unsigned int MTP  :1;    /*    MTP       */
                               unsigned int HLTRQ:1;    /*    HLTRQ     */
                               unsigned int RSTRQ:1;    /*    RSTRQ     */
                               }     BIT;               /*              */
                        }       MCR;                    /*              */
                  union {                               /* GSR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int     :10;    /*              */
                               unsigned int EPSB: 1;    /*    EPSB      */
                               unsigned int HSSB: 1;    /*    HSSB      */
                               unsigned int RSB : 1;    /*    RSB       */
                               unsigned int MTPF: 1;    /*    MTPF      */
                               unsigned int TRWF: 1;    /*    TRWF      */
                               unsigned int BOF : 1;    /*    BOF       */
                               }     BIT;               /*              */
                        }       GSR;                    /*              */
                  union {                               /* BCR1         */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int TSG1:4;     /*    TSG1      */
                               unsigned int     :1;     /*              */
                               unsigned int TSG2:3;     /*    TSG2      */
                               unsigned int     :2;     /*              */
                               unsigned int SJW :2;     /*    SJW       */
                               unsigned int     :3;     /*              */
                               unsigned int BSP :1;     /*    BSP       */
                               }     BIT;               /*              */
                        }       BCR1;                   /*              */
                  union {                               /* BCR0         */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int    :8;      /*              */
                               unsigned int BRP:8;      /*    BRP       */
                               }     BIT;               /*              */
                        }       BCR0;                   /*              */
                  union {                               /* IRR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int       :2;   /*              */
                               unsigned int MEIF  :1;   /*    MEIF      */
                               unsigned int BASMIF:1;   /*    BASMIF    */
                               unsigned int       :2;   /*              */
                               unsigned int MOOIF :1;   /*    MOOIF     */
                               unsigned int MBEIF :1;   /*    MBEIF     */
                               unsigned int OLFIF :1;   /*    OLFIF     */
                               unsigned int BOFIF :1;   /*    BOFIF     */
                               unsigned int EPIF  :1;   /*    EPIF      */
                               unsigned int RECWIF:1;   /*    RECWIF    */
                               unsigned int TECWIF:1;   /*    TECWIF    */
                               unsigned int RFRIF :1;   /*    RFRIF     */
                               unsigned int DFRIF :1;   /*    DFRIF     */
                               unsigned int RSTIF :1;   /*    RSTIF     */
                               }     BIT;               /*              */
                        }       IRR;                    /*              */
                  union {                               /* IMR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int       :2;   /*              */
                               unsigned int MEIM  :1;   /*    MEIM      */
                               unsigned int BASMIM:1;   /*    BASMIM    */
                               unsigned int       :2;   /*              */
                               unsigned int MOOIM :1;   /*    MOOIM     */
                               unsigned int MBEIM :1;   /*    MBEIM     */
                               unsigned int OLFIM :1;   /*    OLFIM     */
                               unsigned int BOFIM :1;   /*    BOFIM     */
                               unsigned int EPIM  :1;   /*    EPIM      */
                               unsigned int RECWIM:1;   /*    RECWIM    */
                               unsigned int TECWIM:1;   /*    TECWIM    */
                               unsigned int RFRIM :1;   /*    RFRIM     */
                               unsigned int DFRIM :1;   /*    DFRIM     */
                               unsigned int RSTIM :1;   /*    RSTIM     */
                               }     BIT;               /*              */
                        }       IMR;                    /*              */
                  union {                               /* ECR          */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int TEC:8;      /*    TEC       */
                               unsigned int REC:8;      /*    REC       */
                               }     BIT;               /*              */
                        }       ECR;                    /*              */
                  char          wk1[18];                /*              */
                  union {                               /* TXPR0        */
                        unsigned long LONG;             /*  Long Access */
                        struct {                        /*  Bit  Access */
                               unsigned long     :16;   /*    MB15      */
                               unsigned long MB15: 1;   /*    MB15      */
                               unsigned long MB14: 1;   /*    MB14      */
                               unsigned long MB13: 1;   /*    MB13      */
                               unsigned long MB12: 1;   /*    MB12      */
                               unsigned long MB11: 1;   /*    MB11      */
                               unsigned long MB10: 1;   /*    MB10      */
                               unsigned long MB9 : 1;   /*    MB9       */
                               unsigned long MB8 : 1;   /*    MB8       */
                               unsigned long MB7 : 1;   /*    MB7       */
                               unsigned long MB6 : 1;   /*    MB6       */
                               unsigned long MB5 : 1;   /*    MB5       */
                               unsigned long MB4 : 1;   /*    MB4       */
                               unsigned long MB3 : 1;   /*    MB3       */
                               unsigned long MB2 : 1;   /*    MB2       */
                               unsigned long MB1 : 1;   /*    MB1       */
                               }      BIT;              /*              */
                        }       TXPR0;                  /*              */
                  char          wk2[6];                 /*              */
                  union {                               /* TXCR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               }     BIT;               /*              */
                        }       TXCR0;                  /*              */
                  char          wk3[6];                 /*              */
                  union {                               /* TXACK0       */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               }     BIT;               /*              */
                        }       TXACK0;                 /*              */
                  char          wk4[6];                 /*              */
                  union {                               /* ABACK0       */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               }     BIT;               /*              */
                        }       ABACK0;                 /*              */
                  char          wk5[6];                 /*              */
                  union {                               /* RXPR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       RXPR0;                  /*              */
                  char          wk6[6];                 /*              */
                  union {                               /* RFPR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       RFPR0;                  /*              */
                  char          wk7[6];                 /*              */
                  union {                               /* MBIMR0       */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       MBIMR0;                 /*              */
                  char          wk8[6];                 /*              */
                  union {                               /* UMSR0        */
                        unsigned int WORD;              /*  Word Access */
                        struct {                        /*  Bit  Access */
                               unsigned int MB15:1;     /*    MB15      */
                               unsigned int MB14:1;     /*    MB14      */
                               unsigned int MB13:1;     /*    MB13      */
                               unsigned int MB12:1;     /*    MB12      */
                               unsigned int MB11:1;     /*    MB11      */
                               unsigned int MB10:1;     /*    MB10      */
                               unsigned int MB9 :1;     /*    MB9       */
                               unsigned int MB8 :1;     /*    MB8       */
                               unsigned int MB7 :1;     /*    MB7       */
                               unsigned int MB6 :1;     /*    MB6       */
                               unsigned int MB5 :1;     /*    MB5       */
                               unsigned int MB4 :1;     /*    MB4       */
                               unsigned int MB3 :1;     /*    MB3       */
                               unsigned int MB2 :1;     /*    MB2       */
                               unsigned int MB1 :1;     /*    MB1       */
                               unsigned int MB0 :1;     /*    MB0       */
                               }     BIT;               /*              */
                        }       UMSR0;                  /*              */
                 char           wk9[164];               /*              */
                 struct {                               /* MB           */
                        union {                         /*  CTRL0       */
                              unsigned long LONG;       /*  Long Access */
                              struct {                  /*  Word Access */
                                     unsigned int H;    /*     High     */
                                     unsigned int L;    /*     Low      */
                                     }      WORD;       /*              */
                              struct {                  /*  Bit  Access */
                                     unsigned long IDE  : 1;/*  IDE     */
                                     unsigned long RTR  : 1;/*  RTR     */
                                     unsigned long      : 1;/*          */
                                     unsigned long STDID:11;/*  STDID   */
                                     unsigned long EXDID:18;/*  EXDID   */
                                     }      BIT;        /*              */
                              }       CTRL0;            /*              */
                        union {                         /*  LAFM        */
                              unsigned long LONG;       /*  Long Access */
                              struct {                  /*  Word Access */
                                     unsigned int H;    /*     High     */
                                     unsigned int L;    /*     Low      */
                                     }      WORD;       /*              */
                              struct {                  /*  Bit  Access */
                                     unsigned long IDE  : 1;/*  IDE     */
                                     unsigned long      : 2;/*          */
                                     unsigned long STDID:11;/*  STDID   */
                                     unsigned long EXDID:18;/*  EXDID   */
                                     }      BIT;        /*              */
                              }       LAFM;             /*              */
                        unsigned char MSG_DATA[8];      /*  MSG_DATA    */
                        union {                         /*  CTRL1       */
                              unsigned int WORD;        /*  Word Access */
                              struct {                  /*  Byte Access */
                                     unsigned char H;   /*     High     */
                                     unsigned char L;   /*     Low      */
                                     }     BYTE;        /*              */
                              struct {                  /*  Bit  Access */
                                     unsigned char     :2;/*            */
                                     unsigned char MNC :1;/*  TTE       */
                                     unsigned char ATX :1;/*  ATX       */
                                     unsigned char DART:1;/*  DART      */
                                     unsigned char MBC :3;/*  MBC       */
                                     unsigned char     :4;/*            */
                                     unsigned char DLC :4;/*  DLC       */
                                     }     BIT;         /*              */
                              }       CTRL1;            /*              */
                        char          wk[14];           /*              */
                        }       MB[16];                 /*              */
                 char           wk10[1305];             /*              */
                  union {                               /* RCANMON      */
                        unsigned char BYTE;             /*  Byte Access */
                        struct {                        /*  Bit  Access */
                               unsigned char       :1;  /*              */
                               unsigned char CTxSTP:1;  /*    CTxSTP    */
                               unsigned char RCANE :1;  /*    RCANE     */
                               unsigned char       :3;  /*              */
                               unsigned char CTxD  :1;  /*    CTxD      */
                               unsigned char CRxD  :1;  /*    CRxD      */
                               }     BIT;               /*              */
                        }       RCANMON;                /*              */
};                                                      /*              */
struct st_ssu {                                         /* struct SSU   */
              union {                                   /* SSCRH        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MSS :1;        /*    MSS       */
                           unsigned char BIDE:1;        /*    BIDE      */
                           unsigned char     :1;        /*              */
                           unsigned char SOL :1;        /*    SOL       */
                           unsigned char SOLP:1;        /*    SOLP      */
                           unsigned char SCKS:1;        /*    SCKS      */
                           unsigned char CSS :2;        /*    CSS       */
                           }      BIT;                  /*              */
                    }           SSCRH;                  /*              */
              union {                                   /* SSCRL        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char SSUMS:1;       /*    SSUMS     */
                           unsigned char SRES :1;       /*    SRES      */
                           unsigned char      :3;       /*              */
                           unsigned char DATS :2;       /*    DATS      */
                           }      BIT;                  /*              */
                    }           SSCRL;                  /*              */
              union {                                   /* SSMR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char MLS :1;        /*    MLS       */
                           unsigned char CPOS:1;        /*    CPOS      */
                           unsigned char CPHS:1;        /*    CPHS      */
                           unsigned char     :2;        /*              */
                           unsigned char CKS :3;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SSMR;                   /*              */
              union {                                   /* SSER         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char     :2;        /*              */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char CEIE:1;        /*    CEIE      */
                           }      BIT;                  /*              */
                    }           SSER;                   /*              */
              union {                                   /* SSSR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char     :1;        /*              */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char     :2;        /*              */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char CE  :1;        /*    CE        */
                           }      BIT;                  /*              */
                    }           SSSR;                   /*              */
              union {                                   /* SSCR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char SDOS   :1;     /*    SDOS      */
                           unsigned char SSCKOS :1;     /*    SSCKOS    */
                           unsigned char SCSOS  :1;     /*    SCSOS     */
                           unsigned char TENDSTS:1;     /*    TENDSTS   */
                           unsigned char SCSATS :1;     /*    SCSATS    */
                           unsigned char SSODTS :1;     /*    SSODTS    */
                           }      BIT;                  /*              */
                    }           SSCR2;                  /*              */
              unsigned char     SSTDR0;                 /* SSTDR0       */
              unsigned char     SSTDR1;                 /* SSTDR1       */
              unsigned char     SSTDR2;                 /* SSTDR2       */
              unsigned char     SSTDR3;                 /* SSTDR3       */
              unsigned char     SSRDR0;                 /* SSRDR0       */
              unsigned char     SSRDR1;                 /* SSRDR1       */
              unsigned char     SSRDR2;                 /* SSRDR2       */
              unsigned char     SSRDR3;                 /* SSRDR3       */
};                                                      /*              */
struct st_sdg {                                         /* struct SDG   */
              union {                                   /* SGCR1        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char SGST:1;        /*    SGST      */
                           unsigned char STPM:1;        /*    STPM      */
                           unsigned char SGE :1;        /*    SGE       */
                           unsigned char SGCK:2;        /*    SGCK      */
                           unsigned char DPF :3;        /*    DPF       */
                           }      BIT;                  /*              */
                    }           SGCR1;                  /*              */
              union {                                   /* SGCSR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char SGIE :1;       /*    SGIE      */
                           unsigned char SGDEF:1;       /*    SGDEF     */
                           }      BIT;                  /*              */
                    }           SGCSR;                  /*              */
              union {                                   /* SGCR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char SGEND:1;       /*    SGEND     */
                           unsigned char TCHG :1;       /*    TCHG      */
                           }      BIT;                  /*              */
                    }           SGCR2;                  /*              */
              unsigned char     SGLR;                   /* SGLR         */
              unsigned char     SGTFR;                  /* SGTFR        */
              unsigned char     SGSFR;                  /* SGSFR        */
};                                                      /*              */
struct st_pwm {                                         /* struct PWM   */
              union {                                   /* PWCR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :1;         /*              */
                           unsigned char SMS:1;         /*    SMS       */
                           unsigned char IE :1;         /*    IE        */
                           unsigned char CMF:1;         /*    CMF       */
                           unsigned char CST:1;         /*    CST       */
                           unsigned char CKS:3;         /*    CKS       */
                           }      BIT;                  /*              */
                    }           PWCR;                   /*              */
              char              wk1;                    /*              */
              union {                                   /* PWOCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :4;          /*              */
                           unsigned char OE:4;          /*    OE        */
                           }      BIT;                  /*              */
                    }           PWOCR;                  /*              */
              char              wk2[3];                 /*              */
              unsigned int      PWCYR;                  /* PWCYR        */
              unsigned int      PWBFR0;                 /* PWBFR0       */
              unsigned int      PWBFR2;                 /* PWBFR2       */
              unsigned int      PWBFR1;                 /* PWBFR1       */
              unsigned int      PWBFR3;                 /* PWBFR3       */
};                                                      /*              */
struct st_wat {                                         /* union WAT    */
              union {                                   /* WTCR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char CMTIT:1;       /*    CMT/IT    */
                           unsigned char TME  :1;       /*    TME       */
                           unsigned char PSS  :1;       /*    PSS       */
                           unsigned char IE   :1;       /*    IE        */
                           unsigned char CKS  :3;       /*    CKS       */
                           }      BIT;                  /*              */
                    }           WTCR;                   /*              */
              char              wk1;                    /*              */
              union {                                   /* WTSR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CMFOVF :1;     /*    CMF/OVF   */
                           unsigned char        :5;     /*              */
                           unsigned char WTCNTWF:1;     /*    WTCNT_WF  */
                           unsigned char WTCRWF :1;     /*    WTCR_WF   */
                           }      BIT;                  /*              */
                    }           WTSR;                   /*              */
              char              wk2;                    /*              */
              unsigned int      WTCOR;                  /* WTCOR        */
              unsigned int      WTCNT;                  /* WTCNT        */
};                                                      /*              */
struct st_mcpwm1 {                                      /* struct MCPWM1*/
                 union {                                /* PWCR         */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char    :2;      /*              */
                              unsigned char IE :1;      /*    IE        */
                              unsigned char CMF:1;      /*    CMF       */
                              unsigned char CST:1;      /*    CST       */
                              unsigned char CKS:3;      /*    CKS       */
                              }      BIT;               /*              */
                       }        PWCR;                   /*              */
                 char           wk1;                    /*              */
                 union {                                /* PWOCR        */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char OEH:1;      /*    OEH       */
                              unsigned char OEG:1;      /*    OEG       */
                              unsigned char OEF:1;      /*    OEF       */
                              unsigned char OEE:1;      /*    OEE       */
                              unsigned char OED:1;      /*    OED       */
                              unsigned char OEC:1;      /*    OEC       */
                              unsigned char OEB:1;      /*    OEB       */
                              unsigned char OEA:1;      /*    OEA       */
                              }      BIT;               /*              */
                       }        PWOCR;                  /*              */
                 char           wk2;                    /*              */
                 union {                                /* PWPR         */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char OPSH:1;     /*    OPSH      */
                              unsigned char OPSG:1;     /*    OPSG      */
                              unsigned char OPSF:1;     /*    OPSF      */
                              unsigned char OPSE:1;     /*    OPSE      */
                              unsigned char OPSD:1;     /*    OPSD      */
                              unsigned char OPSC:1;     /*    OPSC      */
                              unsigned char OPSB:1;     /*    OPSB      */
                              unsigned char OPSA:1;     /*    OPSA      */
                              }      BIT;               /*              */
                       }        PWPR;                   /*              */
                 char           wk3;                    /*              */
                 unsigned int   PWCYR;                  /* PWCYR        */
                 unsigned int   PWBFRA;                 /* PWBFRA       */
                 unsigned int   PWBFRC;                 /* PWBFRC       */
                 unsigned int   PWBFRE;                 /* PWBFRE       */
                 unsigned int   PWBFRG;                 /* PWBFRG       */
                 char           wk4[22];                /*              */
                 union {                                /* PWBTCR       */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char     :4;     /*              */
                              unsigned char BTCG:1;     /*    BTCG      */
                              unsigned char BTCE:1;     /*    BTCE      */
                              unsigned char BTCC:1;     /*    BTCC      */
                              unsigned char BTCA:1;     /*    BTCA      */
                              }      BIT;               /*              */
                       }        PWBTCR;                 /*              */
};                                                      /*              */
struct st_mcpwm2 {                                      /* struct MCPWM2*/
                 union {                                /* PWCR         */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char    :2;      /*              */
                              unsigned char IE :1;      /*    IE        */
                              unsigned char CMF:1;      /*    CMF       */
                              unsigned char CST:1;      /*    CST       */
                              unsigned char CKS:3;      /*    CKS       */
                              }      BIT;               /*              */
                       }        PWCR;                   /*              */
                 char           wk1;                    /*              */
                 union {                                /* PWOCR        */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char OEH:1;      /*    OEH       */
                              unsigned char OEG:1;      /*    OEG       */
                              unsigned char OEF:1;      /*    OEF       */
                              unsigned char OEE:1;      /*    OEE       */
                              unsigned char OED:1;      /*    OED       */
                              unsigned char OEC:1;      /*    OEC       */
                              unsigned char OEB:1;      /*    OEB       */
                              unsigned char OEA:1;      /*    OEA       */
                              }      BIT;               /*              */
                       }        PWOCR;                  /*              */
                 char           wk2;                    /*              */
                 union {                                /* PWPR         */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char OPSH:1;     /*    OPSH      */
                              unsigned char OPSG:1;     /*    OPSG      */
                              unsigned char OPSF:1;     /*    OPSF      */
                              unsigned char OPSE:1;     /*    OPSE      */
                              unsigned char OPSD:1;     /*    OPSD      */
                              unsigned char OPSC:1;     /*    OPSC      */
                              unsigned char OPSB:1;     /*    OPSB      */
                              unsigned char OPSA:1;     /*    OPSA      */
                              }      BIT;               /*              */
                       }        PWPR;                   /*              */
                 char           wk3;                    /*              */
                 unsigned int   PWCYR;                  /* PWCYR        */
                 unsigned int   PWBFRA;                 /* PWBFRA       */
                 unsigned int   PWBFRC;                 /* PWBFRC       */
                 unsigned int   PWBFRE;                 /* PWBFRE       */
                 unsigned int   PWBFRG;                 /* PWBFRG       */
                 char           wk4[6];                 /*              */
                 union {                                /* PWBTCR       */
                       unsigned char BYTE;              /*  Byte Access */
                       struct {                         /*  Bit  Access */
                              unsigned char BTCG:1;     /*    BTCG      */
                              unsigned char BTCE:1;     /*    BTCE      */
                              unsigned char BTCC:1;     /*    BTCC      */
                              unsigned char BTCA:1;     /*    BTCA      */
                              }      BIT;               /*              */
                       }        PWBTCR;                 /*              */
};                                                      /*              */
struct st_p1 {                                          /* struct P1    */
             unsigned char      DDR;                    /* P1DDR        */
             char               wk1[15];                /*              */
             union {                                    /* P1ICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[943];               /*              */
             union {                                    /* P1PORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk3[15];                /*              */
             union {                                    /* P1DR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_p2 {                                          /* struct P2    */
             unsigned char      DDR;                    /* P2DDR        */
             char               wk1[15];                /*              */
             union {                                    /* P2ICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[42];                /*              */
             union {                                    /* P2ODR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ODR;                    /*              */
             char               wk3[900];               /*              */
             union {                                    /* P2PORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk4[15];                /*              */
             union {                                    /* P2DR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_p3 {                                          /* struct P3    */
             unsigned char      DDR;                    /* P3DDR        */
             char               wk1[15];                /*              */
             union {                                    /* P3ICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[943];               /*              */
             union {                                    /* P3PORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk3[15];                /*              */
             union {                                    /* P3DR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_p4 {                                          /* struct P4    */
             union {                                    /* P4ICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk1[943];               /*              */
             union {                                    /* P4PORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
};                                                      /*              */
struct st_p5 {                                          /* struct P5    */
             union {                                    /* P5ICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk1[943];               /*              */
             union {                                    /* P5PORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
};                                                      /*              */
struct st_p6 {                                          /* struct P6    */
             unsigned char      DDR;                    /* P6DDR        */
             char               wk1[15];                /*              */
             union {                                    /* P6ICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[943];               /*              */
             union {                                    /* P6PORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk3[15];                /*              */
             union {                                    /* P6DR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pa {                                          /* struct PA    */
             unsigned char      DDR;                    /* PADDR        */
             char               wk1[15];                /*              */
             union {                                    /* PAICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[943];               /*              */
             union {                                    /* PAPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk3[15];                /*              */
             union {                                    /* PADR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pd {                                          /* struct PD    */
             unsigned char      DDR;                    /* PDDDR        */
             char               wk1[15];                /*              */
             union {                                    /* PDICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[23];                /*              */
             union {                                    /* PDPCR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PCR;                    /*              */
             char               wk3[919];               /*              */
             union {                                    /* PDPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk4[15];                /*              */
             union {                                    /* PDDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             unsigned char      DDR;                    /* PEDDR        */
             char               wk1[15];                /*              */
             union {                                    /* PEICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[23];                /*              */
             union {                                    /* PEPCR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PCR;                    /*              */
             char               wk3[919];               /*              */
             union {                                    /* PEPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk4[15];                /*              */
             union {                                    /* PEDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             unsigned char      DDR;                    /* PFDDR        */
             char               wk1[15];                /*              */
             union {                                    /* PFICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk2[23];                /*              */
             union {                                    /* PFPCR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PCR;                    /*              */
             char               wk3[6];                 /*              */
             union {                                    /* PFODR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ODR;                    /*              */
             char               wk4[912];               /*              */
             union {                                    /* PFPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk5[15];                /*              */
             union {                                    /* PFDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_ph {                                          /* struct PH    */
             union {                                    /* PHPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk1[3];                 /*              */
             union {                                    /* PHDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk2[3];                 /*              */
             unsigned char      DDR;                    /* PHDDR        */
             char               wk3[3];                 /*              */
             union {                                    /* PHICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk4[11];                /*              */
             union {                                    /* PHPCR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PCR;                    /*              */
};                                                      /*              */
struct st_pi {                                          /* struct PI    */
             union {                                    /* PIPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk1[3];                 /*              */
             union {                                    /* PIDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk2[3];                 /*              */
             unsigned char      DDR;                    /* PIDDR        */
             char               wk3[3];                 /*              */
             union {                                    /* PIICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk4[11];                /*              */
             union {                                    /* PIPCR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PCR;                    /*              */
};                                                      /*              */
struct st_pj {                                          /* struct PJ    */
             union {                                    /* PJPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk1[3];                 /*              */
             union {                                    /* PJDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk2[3];                 /*              */
             unsigned char      DDR;                    /* PJDDR        */
             char               wk3[3];                 /*              */
             union {                                    /* PJICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk4[11];                /*              */
             union {                                    /* PJPCR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PCR;                    /*              */
};                                                      /*              */
struct st_pk {                                          /* struct PK    */
             union {                                    /* PKPORT       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PORT;                   /*              */
             char               wk1[3];                 /*              */
             union {                                    /* PKDR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk2[3];                 /*              */
             unsigned char      DDR;                    /* PKDDR        */
             char               wk3[3];                 /*              */
             union {                                    /* PKICR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            ICR;                    /*              */
             char               wk4[11];                /*              */
             union {                                    /* PKPCR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            PCR;                    /*              */
};                                                      /*              */
struct st_pfc {                                         /* struct PFC   */
              union {                                   /* PFCR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :6;        /*              */
                           unsigned char ASOE:1;        /*    ASOE      */
                           }      BIT;                  /*              */
                    }           PFCR2;                  /*              */
              char              wk1;                    /*              */
              union {                                   /* PFCR4        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char A23E:1;        /*    A23E      */
                           unsigned char A22E:1;        /*    A22E      */
                           unsigned char A21E:1;        /*    A21E      */
                           unsigned char A20E:1;        /*    A20E      */
                           unsigned char A19E:1;        /*    A19E      */
                           unsigned char A18E:1;        /*    A18E      */
                           unsigned char A17E:1;        /*    A17E      */
                           unsigned char A16E:1;        /*    A16E      */
                           }      BIT;                  /*              */
                    }           PFCR4;                  /*              */
              char              wk2[4];                 /*              */
              union {                                   /* PFCR9        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TPUMS5 :1;     /*    TPUMS5    */
                           unsigned char TPUMS4 :1;     /*    TPUMS4    */
                           unsigned char TPUMS3A:1;     /*    TPUMS3A   */
                           unsigned char TPUMS3B:1;     /*    TPUMS3B   */
                           unsigned char TPUMS2 :1;     /*    TPUMS2    */
                           unsigned char TPUMS1 :1;     /*    TPUMS1    */
                           unsigned char TPUMS0A:1;     /*    TPUMS0A   */
                           unsigned char TPUMS0B:1;     /*    TPUMS0B   */
                           }      BIT;                  /*              */
                    }           PFCR9;                  /*              */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* SSIER        */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SSI15:1;      /*    SSI15     */
                            unsigned char SSI14:1;      /*    SSI14     */
                            unsigned char SSI13:1;      /*    SSI13     */
                            unsigned char SSI12:1;      /*    SSI12     */
                            unsigned char SSI11:1;      /*    SSI11     */
                            unsigned char SSI10:1;      /*    SSI10     */
                            unsigned char SSI9 :1;      /*    SSI9      */
                            unsigned char SSI8 :1;      /*    SSI8      */
                            unsigned char SSI7 :1;      /*    SSI7      */
                            unsigned char SSI6 :1;      /*    SSI6      */
                            unsigned char SSI5 :1;      /*    SSI5      */
                            unsigned char SSI4 :1;      /*    SSI4      */
                            unsigned char SSI3 :1;      /*    SSI3      */
                            unsigned char SSI2 :1;      /*    SSI2      */
                            unsigned char SSI1 :1;      /*    SSI1      */
                            unsigned char SSI0 :1;      /*    SSI0      */
                            }     BIT;                  /*              */
                     }          SSIER;                  /*              */
               char             wk1[368];               /*              */
               union {                                  /* IPRA         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ0:3;      /*    IRQ0      */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ1:3;      /*    IRQ1      */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ2:3;      /*    IRQ2      */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ3:3;      /*    IRQ3      */
                            }     BIT;                  /*              */
                     }          IPRA;                   /*              */
               union {                                  /* IPRB         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ4:3;      /*    IRQ4      */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ5:3;      /*    IRQ5      */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ6:3;      /*    IRQ6      */
                            unsigned char      :1;      /*              */
                            unsigned char _IRQ7:3;      /*    IRQ7      */
                            }     BIT;                  /*              */
                     }          IPRB;                   /*              */
               union {                                  /* IPRC         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ8 :3;     /*    IRQ8      */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ9 :3;     /*    IRQ9      */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ10:3;     /*    IRQ10     */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ11:3;     /*    IRQ11     */
                            }     BIT;                  /*              */
                     }          IPRC;                   /*              */
               union {                                  /* IPRD         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ12:3;     /*    IRQ12     */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ13:3;     /*    IRQ13     */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ14:3;     /*    IRQ14     */
                            unsigned char       :1;     /*              */
                            unsigned char _IRQ15:3;     /*    IRQ15     */
                            }     BIT;                  /*              */
                     }          IPRD;                   /*              */
               union {                                  /* IPRE         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :5;       /*              */
                            unsigned char _WDT:3;       /*    WDT       */
                            }     BIT;                  /*              */
                     }          IPRE;                   /*              */
               union {                                  /* IPRF         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :5;      /*              */
                            unsigned char _AD01:3;      /*    A/D0,A/D1 */
                            unsigned char      :1;      /*              */
                            unsigned char _TPU0:3;      /*    TPU0      */
                            unsigned char      :1;      /*              */
                            unsigned char _TPU1:3;      /*    TPU1      */
                            }     BIT;                  /*              */
                     }          IPRF;                   /*              */
               union {                                  /* IPRG         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :1;      /*              */
                            unsigned char _TPU2:3;      /*    TPU2      */
                            unsigned char      :1;      /*              */
                            unsigned char _TPU3:3;      /*    TPU3      */
                            unsigned char      :1;      /*              */
                            unsigned char _TPU4:3;      /*    TPU4      */
                            unsigned char      :1;      /*              */
                            unsigned char _TPU5:3;      /*    TPU5      */
                            }     BIT;                  /*              */
                     }          IPRG;                   /*              */
               char             wk2[2];                 /*              */
               union {                                  /* IPRI         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :1;     /*              */
                            unsigned char _DMAC0:3;     /*    DMAC0     */
                            unsigned char       :1;     /*              */
                            unsigned char _DMAC1:3;     /*    DMAC1     */
                            unsigned char       :1;     /*              */
                            unsigned char _DMAC2:3;     /*    DMAC2     */
                            unsigned char       :1;     /*              */
                            unsigned char _DMAC3:3;     /*    DMAC3     */
                            }     BIT;                  /*              */
                     }          IPRI;                   /*              */
               char             wk3[2];                 /*              */
               union {                                  /* IPRK         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :1;      /*              */
                            unsigned char _DMAC:3;      /*    DMAC      */
                            unsigned char      :4;      /*              */
                            unsigned char      :1;      /*              */
                            unsigned char _SCI0:3;      /*    SCI0      */
                            }     BIT;                  /*              */
                     }          IPRK;                   /*              */
               union {                                  /* IPRL         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :1;      /*              */
                            unsigned char _SCI2:3;      /*    SCI2      */
                            unsigned char      :4;      /*              */
                            unsigned char      :1;      /*              */
                            unsigned char _SCI4:3;      /*    SCI4      */
                            }     BIT;                  /*              */
                     }          IPRL;                   /*              */
               char             wk4[4];                 /* <--diff(-1)  */ /* !!!!! */
               union {                                  /* IPRO         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :8;      /*              */
                            unsigned char      :5;      /*              */
                            unsigned char _SCI5:3;      /*    SCI4      */
                            }     BIT;                  /*              */
                     }          IPRO;                   /*              */
               char             wk5[2];                 /*              */
               union {                                  /* IPRQ         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char        :8;    /*              */
                            unsigned char        :1;    /*              */
                            unsigned char _IIC201:3;    /*    IIC2 0,1  */
                            unsigned char        :1;    /*              */
                            unsigned char _RCAN01:3;    /*    RCAN0,1   */
                            }     BIT;                  /*              */
                     }          IPRQ;                   /*              */
               union {                                  /* IPRR         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char           :1; /*              */
                            unsigned char _PWM01_WAT:3; /*    PWM0,1,WAT*/
                            }     BIT;                  /*              */
                     }          IPRR;                   /*              */
               char             wk6[4];                 /*              */
               union {                                  /* ISCR         */
//                     unsigned long LONG;              /*  Long Access */  /* <--diff */
                     struct {                           /*  Word Access */
                            unsigned int H;             /*    ISCRH     */
                            unsigned int L;             /*    ISCRL     */
                            }      WORD;                /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ15SC:2;    /*    IRQ15SC   */
                            unsigned char IRQ14SC:2;    /*    IRQ14SC   */
                            unsigned char IRQ13SC:2;    /*    IRQ13SC   */
                            unsigned char IRQ12SC:2;    /*    IRQ12SC   */
                            unsigned char IRQ11SC:2;    /*    IRQ11SC   */
                            unsigned char IRQ10SC:2;    /*    IRQ10SC   */
                            unsigned char IRQ9SC :2;    /*    IRQ9SC    */
                            unsigned char IRQ8SC :2;    /*    IRQ8SC    */
                            unsigned char IRQ7SC :2;    /*    IRQ7SC    */
                            unsigned char IRQ6SC :2;    /*    IRQ6SC    */
                            unsigned char IRQ5SC :2;    /*    IRQ5SC    */
                            unsigned char IRQ4SC :2;    /*    IRQ4SC    */
                            unsigned char IRQ3SC :2;    /*    IRQ3SC    */
                            unsigned char IRQ2SC :2;    /*    IRQ2SC    */
                            unsigned char IRQ1SC :2;    /*    IRQ1SC    */
                            unsigned char IRQ0SC :2;    /*    IRQ0SC    */
                            }      BIT;                 /*              */
                     }          ISCR;                   /*              */
               char             wk7[454];               /*              */
               union {                                  /* INTCR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char INTM :2;      /*    INTM      */
                            unsigned char NMIEG:1;      /*    NMIEG     */
                            }      BIT;                 /*              */
                     }          INTCR;                  /*              */
               union {                                  /* CPUPCR       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CPUPCE:1;     /*    CPUPCE    */
                            unsigned char       :3;     /*              */
                            unsigned char IPSETE:1;     /*    IPSETE    */
                            unsigned char CPUP  :3;     /*    CPUP      */
                            }      BIT;                 /*              */
                     }          CPUPCR;                 /*              */
               union {                                  /* IER          */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ15E:1;     /*    IRQ15E    */
                            unsigned char IRQ14E:1;     /*    IRQ14E    */
                            unsigned char IRQ13E:1;     /*    IRQ13E    */
                            unsigned char IRQ12E:1;     /*    IRQ12E    */
                            unsigned char IRQ11E:1;     /*    IRQ11E    */
                            unsigned char IRQ10E:1;     /*    IRQ10E    */
                            unsigned char IRQ9E :1;     /*    IRQ9E     */
                            unsigned char IRQ8E :1;     /*    IRQ8E     */
                            unsigned char IRQ7E :1;     /*    IRQ7E     */
                            unsigned char IRQ6E :1;     /*    IRQ6E     */
                            unsigned char IRQ5E :1;     /*    IRQ5E     */
                            unsigned char IRQ4E :1;     /*    IRQ4E     */
                            unsigned char IRQ3E :1;     /*    IRQ3E     */
                            unsigned char IRQ2E :1;     /*    IRQ2E     */
                            unsigned char IRQ1E :1;     /*    IRQ1E     */
                            unsigned char IRQ0E :1;     /*    IRQ0E     */
                            }     BIT;                  /*              */
                     }          IER;                    /*              */
               union {                                  /* ISR          */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IRQ15F:1;     /*    IRQ15F    */
                            unsigned char IRQ14F:1;     /*    IRQ14F    */
                            unsigned char IRQ13F:1;     /*    IRQ13F    */
                            unsigned char IRQ12F:1;     /*    IRQ12F    */
                            unsigned char IRQ11F:1;     /*    IRQ11F    */
                            unsigned char IRQ10F:1;     /*    IRQ10F    */
                            unsigned char IRQ9F :1;     /*    IRQ9F     */
                            unsigned char IRQ8F :1;     /*    IRQ8F     */
                            unsigned char IRQ7F :1;     /*    IRQ7F     */
                            unsigned char IRQ6F :1;     /*    IRQ6F     */
                            unsigned char IRQ5F :1;     /*    IRQ5F     */
                            unsigned char IRQ4F :1;     /*    IRQ4F     */
                            unsigned char IRQ3F :1;     /*    IRQ3F     */
                            unsigned char IRQ2F :1;     /*    IRQ2F     */
                            unsigned char IRQ1F :1;     /*    IRQ1F     */
                            unsigned char IRQ0F :1;     /*    IRQ0F     */
                            }     BIT;                  /*              */
                     }          ISR;                    /*              */
};                                                      /*              */
struct st_dmac0 {                                       /* struct DMAC0 */
                unsigned long   DSAR;                   /* DSAR <--diff */
                unsigned long   DDAR;                   /* DDAR <--diff */
                unsigned long   DOFR;                   /* DOFR         */
                unsigned long   DTCR;                   /* DTCR         */
                unsigned long   DBSR;                   /* DBSR         */
                union {                                 /* DMDR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char DTE  :1;     /*    DTE       */
                             unsigned char DACKE:1;     /*    DACKE     */
                             unsigned char TENDE:1;     /*    TENDE     */
                             unsigned char      :1;     /*              */
                             unsigned char DREQS:1;     /*    DREQS     */
                             unsigned char NRD  :1;     /*    NRD       */
                             unsigned char      :2;     /*              */
                             unsigned char ACT  :1;     /*    ACT       */
                             unsigned char      :3;     /*              */
                             unsigned char ERRF :1;     /*    ERRF      */
                             unsigned char      :1;     /*              */
                             unsigned char ESIF :1;     /*    ESIF      */
                             unsigned char DTIF :1;     /*    DTIF      */
                             unsigned char DTSZ :2;     /*    DTSZ      */
                             unsigned char MDS  :2;     /*    MDS       */
                             unsigned char TSEIE:1;     /*    TSEIE     */
                             unsigned char      :1;     /*              */
                             unsigned char ESIE :1;     /*    ESIE      */
                             unsigned char DTIE :1;     /*    DTIE      */
                             unsigned char DTF  :2;     /*    DTF       */
                             unsigned char DTA  :1;     /*    DTA       */
                             unsigned char      :2;     /*              */
                             unsigned char DMAP :3;     /*    DMAP      */
                             }      BIT;                /*              */
                      }         DMDR;                   /*              */
                union {                                 /* DACR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char AMS  :1;     /*    AMS       */
                             unsigned char DIRS :1;     /*    DIRS      */
                             unsigned char      :3;     /*              */
                             unsigned char RPTIE:1;     /*    RPTIE     */
                             unsigned char ARS  :2;     /*    ARS       */
                             unsigned char      :2;     /*              */
                             unsigned char SAT  :2;     /*    SAT       */
                             unsigned char      :2;     /*              */
                             unsigned char DAT  :2;     /*    DAT       */
                             unsigned char SARIE:1;     /*    SARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char SARA :5;     /*    SARA      */
                             unsigned char DARIE:1;     /*    DARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char DARA :5;     /*    DARA      */
                             }      BIT;                /*              */
                      }         DACR;                   /*              */
                char            wk[260];                /*              */
                unsigned char   DMRSR;                  /* DMRSR        */
};                                                      /*              */
struct st_dmac1 {                                       /* struct DMAC1 */
                unsigned long   DSAR;                   /* DSAR <--diff */
                unsigned long   DDAR;                   /* DDAR <--diff */
                unsigned long   DOFR;                   /* DOFR         */
                unsigned long   DTCR;                   /* DTCR         */
                unsigned long   DBSR;                   /* DBSR         */
                union {                                 /* DMDR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char DTE  :1;     /*    DTE       */
                             unsigned char DACKE:1;     /*    DACKE     */
                             unsigned char TENDE:1;     /*    TENDE     */
                             unsigned char      :1;     /*              */
                             unsigned char DREQS:1;     /*    DREQS     */
                             unsigned char NRD  :1;     /*    NRD       */
                             unsigned char      :2;     /*              */
                             unsigned char ACT  :1;     /*    ACT       */
                             unsigned char      :5;     /*              */
                             unsigned char ESIF :1;     /*    ESIF      */
                             unsigned char DTIF :1;     /*    DTIF      */
                             unsigned char DTSZ :2;     /*    DTSZ      */
                             unsigned char MDS  :2;     /*    MDS       */
                             unsigned char TSEIE:1;     /*    TSEIE     */
                             unsigned char      :1;     /*              */
                             unsigned char ESIE :1;     /*    ESIE      */
                             unsigned char DTIE :1;     /*    DTIE      */
                             unsigned char DTF  :2;     /*    DTF       */
                             unsigned char DTA  :1;     /*    DTA       */
                             unsigned char      :2;     /*              */
                             unsigned char DMAP :3;     /*    DMAP      */
                             }      BIT;                /*              */
                      }         DMDR;                   /*              */
                union {                                 /* DACR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char AMS  :1;     /*    AMS       */
                             unsigned char DIRS :1;     /*    DIRS      */
                             unsigned char      :3;     /*              */
                             unsigned char RPTIE:1;     /*    RPTIE     */
                             unsigned char ARS  :2;     /*    ARS       */
                             unsigned char      :2;     /*              */
                             unsigned char SAT  :2;     /*    SAT       */
                             unsigned char      :2;     /*              */
                             unsigned char DAT  :2;     /*    DAT       */
                             unsigned char SARIE:1;     /*    SARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char SARA :5;     /*    SARA      */
                             unsigned char DARIE:1;     /*    DARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char DARA :5;     /*    DARA      */
                             }      BIT;                /*              */
                      }         DACR;                   /*              */
                char            wk[229];                /*              */
                unsigned char   DMRSR;                  /* DMRSR        */
};                                                      /*              */
struct st_dmac2 {                                       /* struct DMAC2 */
                unsigned long   DSAR;                   /* DSAR <--diff */
                unsigned long   DDAR;                   /* DDAR <--diff */
                unsigned long   DOFR;                   /* DOFR         */
                unsigned long   DTCR;                   /* DTCR         */
                unsigned long   DBSR;                   /* DBSR         */
                union {                                 /* DMDR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char DTE  :1;     /*    DTE       */
                             unsigned char DACKE:1;     /*    DACKE     */
                             unsigned char TENDE:1;     /*    TENDE     */
                             unsigned char      :1;     /*              */
                             unsigned char DREQS:1;     /*    DREQS     */
                             unsigned char NRD  :1;     /*    NRD       */
                             unsigned char      :2;     /*              */
                             unsigned char ACT  :1;     /*    ACT       */
                             unsigned char      :5;     /*              */
                             unsigned char ESIF :1;     /*    ESIF      */
                             unsigned char DTIF :1;     /*    DTIF      */
                             unsigned char DTSZ :2;     /*    DTSZ      */
                             unsigned char MDS  :2;     /*    MDS       */
                             unsigned char TSEIE:1;     /*    TSEIE     */
                             unsigned char      :1;     /*              */
                             unsigned char ESIE :1;     /*    ESIE      */
                             unsigned char DTIE :1;     /*    DTIE      */
                             unsigned char DTF  :2;     /*    DTF       */
                             unsigned char DTA  :1;     /*    DTA       */
                             unsigned char      :2;     /*              */
                             unsigned char DMAP :3;     /*    DMAP      */
                             }      BIT;                /*              */
                      }         DMDR;                   /*              */
                union {                                 /* DACR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char AMS  :1;     /*    AMS       */
                             unsigned char DIRS :1;     /*    DIRS      */
                             unsigned char      :3;     /*              */
                             unsigned char RPTIE:1;     /*    RPTIE     */
                             unsigned char ARS  :2;     /*    ARS       */
                             unsigned char      :2;     /*              */
                             unsigned char SAT  :2;     /*    SAT       */
                             unsigned char      :2;     /*              */
                             unsigned char DAT  :2;     /*    DAT       */
                             unsigned char SARIE:1;     /*    SARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char SARA :5;     /*    SARA      */
                             unsigned char DARIE:1;     /*    DARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char DARA :5;     /*    DARA      */
                             }      BIT;                /*              */
                      }         DACR;                   /*              */
                char            wk[198];                /*              */
                unsigned char   DMRSR;                  /* DMRSR        */
};                                                      /*              */
struct st_dmac3 {                                       /* struct DMAC3 */
                unsigned long   DSAR;                   /* DSAR <--diff */
                unsigned long   DDAR;                   /* DDAR <--diff */
                unsigned long   DOFR;                   /* DOFR         */
                unsigned long   DTCR;                   /* DTCR         */
                unsigned long   DBSR;                   /* DBSR         */
                union {                                 /* DMDR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char DTE  :1;     /*    DTE       */
                             unsigned char DACKE:1;     /*    DACKE     */
                             unsigned char TENDE:1;     /*    TENDE     */
                             unsigned char      :1;     /*              */
                             unsigned char DREQS:1;     /*    DREQS     */
                             unsigned char NRD  :1;     /*    NRD       */
                             unsigned char      :2;     /*              */
                             unsigned char ACT  :1;     /*    ACT       */
                             unsigned char      :5;     /*              */
                             unsigned char ESIF :1;     /*    ESIF      */
                             unsigned char DTIF :1;     /*    DTIF      */
                             unsigned char DTSZ :2;     /*    DTSZ      */
                             unsigned char MDS  :2;     /*    MDS       */
                             unsigned char TSEIE:1;     /*    TSEIE     */
                             unsigned char      :1;     /*              */
                             unsigned char ESIE :1;     /*    ESIE      */
                             unsigned char DTIE :1;     /*    DTIE      */
                             unsigned char DTF  :2;     /*    DTF       */
                             unsigned char DTA  :1;     /*    DTA       */
                             unsigned char      :2;     /*              */
                             unsigned char DMAP :3;     /*    DMAP      */
                             }      BIT;                /*              */
                      }         DMDR;                   /*              */
                union {                                 /* DACR         */
                      unsigned long LONG;               /*  Long Access */
                      struct {                          /*  Bit  Access */
                             unsigned char AMS  :1;     /*    AMS       */
                             unsigned char DIRS :1;     /*    DIRS      */
                             unsigned char      :3;     /*              */
                             unsigned char RPTIE:1;     /*    RPTIE     */
                             unsigned char ARS  :2;     /*    ARS       */
                             unsigned char      :2;     /*              */
                             unsigned char SAT  :2;     /*    SAT       */
                             unsigned char      :2;     /*              */
                             unsigned char DAT  :2;     /*    DAT       */
                             unsigned char SARIE:1;     /*    SARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char SARA :5;     /*    SARA      */
                             unsigned char DARIE:1;     /*    DARIE     */
                             unsigned char      :2;     /*              */
                             unsigned char DARA :5;     /*    DARA      */
                             }      BIT;                /*              */
                      }         DACR;                   /*              */
                char            wk[167];                /*              */
                unsigned char   DMRSR;                  /* DMRSR        */
};                                                      /*              */
struct st_bsc {                                         /* struct BSC   */
              union {                                   /* ABWCR        */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char ABWH7:1;       /*    ABWH7     */
                           unsigned char ABWH6:1;       /*    ABWH6     */
                           unsigned char ABWH5:1;       /*    ABWH5     */
                           unsigned char ABWH4:1;       /*    ABWH4     */
                           unsigned char ABWH3:1;       /*    ABWH3     */
                           unsigned char ABWH2:1;       /*    ABWH2     */
                           unsigned char ABWH1:1;       /*    ABWH1     */
                           unsigned char ABWH0:1;       /*    ABWH0     */
                           unsigned char ABWL7:1;       /*    ABWL7     */
                           unsigned char ABWL6:1;       /*    ABWL6     */
                           unsigned char ABWL5:1;       /*    ABWL5     */
                           unsigned char ABWL4:1;       /*    ABWL4     */
                           unsigned char ABWL3:1;       /*    ABWL3     */
                           unsigned char ABWL2:1;       /*    ABWL2     */
                           unsigned char ABWL1:1;       /*    ABWL1     */
                           unsigned char ABWL0:1;       /*    ABWL0     */
                           }     BIT;                   /*              */
                    }           ABWCR;                  /*              */
              union {                                   /* ASTCR        */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char AST7:1;        /*    AST7      */
                           unsigned char AST6:1;        /*    AST6      */
                           unsigned char AST5:1;        /*    AST5      */
                           unsigned char AST4:1;        /*    AST4      */
                           unsigned char AST3:1;        /*    AST3      */
                           unsigned char AST2:1;        /*    AST2      */
                           unsigned char AST1:1;        /*    AST1      */
                           unsigned char AST0:1;        /*    AST0      */
                           }     BIT;                   /*              */
                    }           ASTCR;                  /*              */
              union {                                   /* WTCRA        */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :1;          /*              */
                           unsigned char W7:3;          /*    W7        */
                           unsigned char   :1;          /*              */
                           unsigned char W6:3;          /*    W6        */
                           unsigned char   :1;          /*              */
                           unsigned char W5:3;          /*    W5        */
                           unsigned char   :1;          /*              */
                           unsigned char W4:3;          /*    W4        */
                           }     BIT;                   /*              */
                    }           WTCRA;                  /*              */
              union {                                   /* WTCRB        */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :1;          /*              */
                           unsigned char W3:3;          /*    W3        */
                           unsigned char   :1;          /*              */
                           unsigned char W2:3;          /*    W2        */
                           unsigned char   :1;          /*              */
                           unsigned char W1:3;          /*    W1        */
                           unsigned char   :1;          /*              */
                           unsigned char W0:3;          /*    W0        */
                           }     BIT;                   /*              */
                    }           WTCRB;                  /*              */
              union {                                   /* RDNCR        */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char RDN7:1;        /*    RDN7      */
                           unsigned char RDN6:1;        /*    RDN6      */
                           unsigned char RDN5:1;        /*    RDN5      */
                           unsigned char RDN4:1;        /*    RDN4      */
                           unsigned char RDN3:1;        /*    RDN3      */
                           unsigned char RDN2:1;        /*    RDN2      */
                           unsigned char RDN1:1;        /*    RDN1      */
                           unsigned char RDN0:1;        /*    RDN0      */
                           }     BIT;                   /*              */
                    }           RDNCR;                  /*              */
              char              wk1[2];                 /*              */
              union {                                   /* IDLCR        */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char IDLS3  :1;     /*    IDLS3     */
                           unsigned char IDLS2  :1;     /*    IDLS2     */
                           unsigned char IDLS1  :1;     /*    IDLS1     */
                           unsigned char IDLS0  :1;     /*    IDLS0     */
                           unsigned char IDLCB  :2;     /*    IDLCB     */
                           unsigned char IDLCA  :2;     /*    IDLCA     */
                           unsigned char IDLSEL7:1;     /*    IDLSEL7   */
                           unsigned char IDLSEL6:1;     /*    IDLSEL6   */
                           unsigned char IDLSEL5:1;     /*    IDLSEL5   */
                           unsigned char IDLSEL4:1;     /*    IDLSEL4   */
                           unsigned char IDLSEL3:1;     /*    IDLSEL3   */
                           unsigned char IDLSEL2:1;     /*    IDLSEL2   */
                           unsigned char IDLSEL1:1;     /*    IDLSEL1   */
                           unsigned char IDLSEL0:1;     /*    IDLSEL0   */
                           }     BIT;                   /*              */
                    }           IDLCR;                  /*              */
              union {                                   /* BCR1         */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char BRLE  :1;      /*    BRLE      */
                           unsigned char BREQOE:1;      /*    BREQOE    */
                           unsigned char       :4;      /*              */
                           unsigned char WDBE  :1;      /*    WDBE      */
                           unsigned char WAITE :1;      /*    WAITE     */
                           unsigned char DKC   :1;      /*    DKC       */
                           }     BIT;                   /*              */
                    }           BCR1;                   /*              */
              union {                                   /* BCR2         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char IBCCS:1;       /*    IBCCS     */
                           unsigned char      :3;       /*              */
                           unsigned char PWDBE:1;       /*    PWDBE     */
                           }      BIT;                  /*              */
                    }           BCR2;                   /*              */
              union {                                   /* ENDIANCR     */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char LE7:1;         /*    LE7       */
                           unsigned char LE6:1;         /*    LE6       */
                           unsigned char LE5:1;         /*    LE5       */
                           unsigned char LE4:1;         /*    LE4       */
                           unsigned char LE3:1;         /*    LE3       */
                           unsigned char LE2:1;         /*    LE2       */
                           }      BIT;                  /*              */
                    }           ENDIANCR;               /*              */
              char              wk2[2];                 /*              */
              union {                                   /* SRAMCR       */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char BCSEL7:1;      /*    BCSEL7    */
                           unsigned char BCSEL6:1;      /*    BCSEL6    */
                           unsigned char BCSEL5:1;      /*    BCSEL5    */
                           unsigned char BCSEL4:1;      /*    BCSEL4    */
                           unsigned char BCSEL3:1;      /*    BCSEL3    */
                           unsigned char BCSEL2:1;      /*    BCSEL2    */
                           unsigned char BCSEL1:1;      /*    BCSEL1    */
                           unsigned char BCSEL0:1;      /*    BCSEL0    */
                           }     BIT;                   /*              */
                    }           SRAMCR;                 /*              */
              union {                                   /* BROMCR       */
                    unsigned int WORD;                  /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char BSRM0:1;       /*    BSRM0     */
                           unsigned char BSTS0:3;       /*    BSTS0     */
                           unsigned char      :2;       /*              */
                           unsigned char BSWD0:2;       /*    BSWD0     */
                           unsigned char BSRM1:1;       /*    BSRM1     */
                           unsigned char BSTS1:3;       /*    BSTS1     */
                           unsigned char      :2;       /*              */
                           unsigned char BSWD1:2;       /*    BSWD1     */
                           }     BIT;                   /*              */
                    }           BROMCR;                 /*              */
};                                                      /*              */
union un_mdcr {                                         /* union MDCR   */
              unsigned int WORD;                        /*  Word Access */
              struct {                                  /*  Bit  Access */
                     unsigned char    :4;               /*              */
                     unsigned char MDS:4;               /*    MDS       */
                     }      BIT;                        /*              */
};                                                      /*              */
union un_syscr {                                        /* union SYSCR  */
               unsigned int WORD;                       /*  Word Access */
               struct {                                 /*  Bit  Access */
                      unsigned char        :2;          /*              */
                      unsigned char MACS   :1;          /*    MACS      */
                      unsigned char        :1;          /*              */
                      unsigned char FETCHMD:1;          /*    FETCHMD   */
                      unsigned char        :1;          /*              */
                      unsigned char EXPE   :1;          /*    EXPE      */
                      unsigned char RAME   :1;          /*    RAME      */
                      }      BIT;                       /*              */
};                                                      /*              */
union un_sckcr {                                        /* union SCKCR  */
               unsigned int WORD;                       /*  Word Access */
               struct {                                 /*  Bit  Access */
                      unsigned char PSTOP1:1;           /*    PSTOP1    */
                      unsigned char       :1;           /*              */
                      unsigned char POSEL1:1;           /*    POSEL1    */
                      unsigned char       :2;           /*              */
                      unsigned char ICK   :3;           /*    ICK       */
                      unsigned char       :1;           /*              */
                      unsigned char PCK   :3;           /*    PCK       */
                      unsigned char       :1;           /*              */
                      unsigned char BCK   :3;           /*    BCK       */
                      }      BIT;                       /*              */
};                                                      /*              */
union un_sbycr {                                        /* union SBYCR  */
               unsigned char BYTE;                      /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char SSBY:1;             /*    SSBY      */
                      unsigned char OPE :1;             /*    OPE       */
                      unsigned char     :1;             /*              */
                      unsigned char STS :5;             /*    STS       */
                      }      BIT;                       /*              */
};                                                      /*              */
struct st_mstp {                                        /* struct MSTP  */
               union {                                  /* CRA          */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ACSE :1;      /*    ACSE      */
                            unsigned char      :1;      /*              */
                            unsigned char _DMAC:1;      /*    DMAC      */
                            unsigned char      :5;      /*              */
                            unsigned char      :3;      /*              */
                            unsigned char _AD1 :1;      /*    A/D1      */
                            unsigned char _AD0 :1;      /*    A/D0      */
                            unsigned char      :2;      /*              */
                            unsigned char _TPU :1;      /*    TPU       */
                            }     BIT;                  /*              */
                     }          CRA;                    /*              */
               union {                                  /* CRB          */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :2;     /*              */
                            unsigned char _SCI5 :1;     /*    SCI5 <--diff */
                            unsigned char _SCI4 :1;     /*    SCI4      */
                            unsigned char       :1;     /*              */
                            unsigned char _SCI2 :1;     /*    SCI2      */
                            unsigned char       :1;     /*              */
                            unsigned char _SCI0 :1;     /*    SCI0      */
                            unsigned char _IIC21:1;     /*    IIC21     */
                            unsigned char _IIC20:1;     /*    IIC20     */
                            }     BIT;                  /*              */
                     }          CRB;                    /*              */
               union {                                  /* CRC          */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char _SDG   :1;    /*    SDG       */
                            unsigned char _PWM   :1;    /*    PWM       */
                            unsigned char _MCPWM :1;    /*    MCPWM     */
                            unsigned char _DA    :1;    /*    D/A       */
                            unsigned char _RCAN01:1;    /*    RCAN0,1   */
                            unsigned char        :1;    /*              */
                            unsigned char _SSU1  :1;    /*    SSU1      */
                            unsigned char _SSU0  :1;    /*    SSU0      */
                            unsigned char        :4;    /*         <---diff */
                            unsigned char _RAM1  :2;    /*    RAM1 <---diff */
                            unsigned char _RAM0  :2;    /*    RAM0 <---diff */
                            }     BIT;                  /*              */
                     }          CRC;                    /*              */
};                                                      /*              */
union un_subckcr {                                      /* union SUBCKCR*/
               unsigned char BYTE;                      /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char       :4;           /*              */
                      unsigned char XTALSTP :1;         /*    XTALSTP   */
                      unsigned char PLLSTP  :1;         /*    PLLSTP    */
                      unsigned char WKCKSEL :1;         /*    WKCKSEL   */
                      unsigned char SUBCKSEL:1;         /*    SUBCKSEL  */
                      }      BIT;                       /*              */
};                                                      /*              */
struct st_flash {                                       /* struct FLASH */
                union {                                 /* RAMER        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :4;      /*              */
                             unsigned char RAMS:1;      /*    RAMS      */
                             unsigned char RAM :3;      /*    RAM       */
                             }      BIT;                /*              */
                      }         RAMER;                  /*              */
                char            wk1[73];                /*              */
                union {                                 /* FCCS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :3;      /*              */
                             unsigned char FLER:1;      /*    FLER      */
                             unsigned char     :3;      /*              */
                             unsigned char SCO :1;      /*    SCO       */
                             }      BIT;                /*              */
                      }         FCCS;                   /*              */
                union {                                 /* FPCS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char PPVS:1;      /*    PPVS      */
                             }      BIT;                /*              */
                      }         FPCS;                   /*              */
                union {                                 /* FECS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char EPVB:1;      /*    EPVB      */
                             }      BIT;                /*              */
                      }         FECS;                   /*              */
                char            wk2;                    /*              */
                unsigned char   FKEY;                   /* FKEY         */
                unsigned char   wk3;                    /*              */
                union {                                 /* FTDAR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TDER:1;      /*    TDER      */
                             unsigned char TDA :7;      /*    TDA       */
                             }      BIT;                /*              */
                      }         FTDAR;                  /*              */
};                                                      /*              */
struct st_iic2 {                                        /* struct IIC2  */
               union {                                  /* ICCRA        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ICE :1;       /*    ICE       */
                            unsigned char RCVD:1;       /*    RCVD      */
                            unsigned char MST :1;       /*    MST       */
                            unsigned char TRS :1;       /*    TRS       */
                            unsigned char CKS :4;       /*    CKS       */
                            }      BIT;                 /*              */
                     }          ICCRA;                  /*              */
               union {                                  /* ICCRB        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BBSY  :1;     /*    BBSY      */
                            unsigned char SCP   :1;     /*    SCP       */
                            unsigned char SDAO  :1;     /*    SDAO      */
                            unsigned char       :1;     /*              */
                            unsigned char SCLO  :1;     /*    SCLO      */
                            unsigned char       :1;     /*              */
                            unsigned char IICRST:1;     /*    IICRST    */
                            }      BIT;                 /*              */
                     }          ICCRB;                  /*              */
               union {                                  /* ICMR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char WAIT:1;       /*    WAIT      */
                            unsigned char     :2;       /*              */
                            unsigned char BCWP:1;       /*    BCWP      */
                            unsigned char BC  :3;       /*    BC        */
                            }      BIT;                 /*              */
                     }          ICMR;                   /*              */
               union {                                  /* ICIER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TIE  :1;      /*    TIE       */
                            unsigned char TEIE :1;      /*    TEIE      */
                            unsigned char RIE  :1;      /*    RIE       */
                            unsigned char NAKIE:1;      /*    NAKIE     */
                            unsigned char STIE :1;      /*    STIE      */
                            unsigned char ACKE :1;      /*    ACKE      */
                            unsigned char ACKBR:1;      /*    ACKBR     */
                            unsigned char ACKBT:1;      /*    ACKBT     */
                            }      BIT;                 /*              */
                     }          ICIER;                  /*              */
               union {                                  /* ICSR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TDRE :1;      /*    TDRE      */
                            unsigned char TEND :1;      /*    TEND      */
                            unsigned char RDRF :1;      /*    RDRF      */
                            unsigned char NACKF:1;      /*    NACKF     */
                            unsigned char STOP :1;      /*    STOP      */
                            unsigned char ALOVE:1;      /*    ALOVE     */
                            unsigned char AAS  :1;      /*    AAS       */
                            unsigned char ADZ  :1;      /*    ADZ       */
                            }      BIT;                 /*              */
                     }          ICSR;                   /*              */
               union {                                  /* SAR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SVA:7;        /*    SVA       */
                            }      BIT;                 /*              */
                     }          SAR;                    /*              */
               unsigned char    ICDRT;                  /* ICDRT        */
               unsigned char    ICDRR;                  /* ICDRR        */
};                                                      /*              */
struct st_da {                                          /* struct D/A   */
             unsigned char      DADR0;                  /* DADR0        */
             unsigned char      DADR1;                  /* DADR1        */
             union {                                    /* DACR01       */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char DAOE1:1;        /*    DAOE1     */
                          unsigned char DAOE0:1;        /*    DAOE0     */
                          unsigned char DAE  :1;        /*    DAE       */
                          }      BIT;                   /*              */
                   }            DACR01;                 /*              */
};                                                      /*              */
struct st_sci {                                         /* struct SCI   */
              union {                                   /* SMR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char _PE :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SMR;                    /*              */
              unsigned char     BRR;                    /* BRR          */
              union {                                   /* SCR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCR;                    /*              */
              unsigned char     TDR;                    /* TDR          */
              union {                                   /* SSR          */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SSR;                    /*              */
              unsigned char     RDR;                    /* RDR          */
              union {                                   /* SCMR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :4;        /*              */
                           unsigned char SDIR:1;        /*    SDIR      */
                           unsigned char SINV:1;        /*    SINV      */
                           unsigned char     :1;        /*              */
                           unsigned char SMIF:1;        /*    SMIF      */
                           }      BIT;                  /*              */
                    }           SCMR;                   /*              */
};                                                      /*              */
struct st_smci {                                        /* struct SMCI  */
               union {                                  /* SMR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char GM :1;        /*    GM        */
                            unsigned char BLK:1;        /*    BLK       */
                            unsigned char _PE:1;        /*    PE        */
                            unsigned char OE :1;        /*    O/E       */
                            unsigned char BCP:2;        /*    BCP       */
                            unsigned char CKS:2;        /*    CKS       */
                            }      BIT;                 /*              */
                     }          SMR;                    /*              */
               unsigned char    BRR;                    /* BRR          */
               union {                                  /* SCR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TIE :1;       /*    TIE       */
                            unsigned char RIE :1;       /*    RIE       */
                            unsigned char TE  :1;       /*    TE        */
                            unsigned char RE  :1;       /*    RE        */
                            unsigned char MPIE:1;       /*    MPIE      */
                            unsigned char TEIE:1;       /*    TEIE      */
                            unsigned char CKE :2;       /*    CKE       */
                            }      BIT;                 /*              */
                     }          SCR;                    /*              */
               unsigned char    TDR;                    /* TDR          */
               union {                                  /* SSR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TDRE:1;       /*    TDRE      */
                            unsigned char RDRF:1;       /*    RDRF      */
                            unsigned char ORER:1;       /*    ORER      */
                            unsigned char ERS :1;       /*    ERS       */
                            unsigned char PER :1;       /*    PER       */
                            unsigned char TEND:1;       /*    TEND      */
                            unsigned char MPB :1;       /*    MPB       */
                            unsigned char MPBT:1;       /*    MPBT      */
                            }      BIT;                 /*              */
                     }          SSR;                    /*              */
               unsigned char    RDR;                    /* RDR          */
               union {                                  /* SCMR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :4;       /*              */
                            unsigned char SDIR:1;       /*    SDIR      */
                            unsigned char SINV:1;       /*    SINV      */
                            unsigned char     :1;       /*              */
                            unsigned char SMIF:1;       /*    SMIF      */
                            }      BIT;                 /*              */
                     }          SCMR;                   /*              */
};                                                      /*              */
struct st_ad {                                          /* struct A/D   */
             unsigned int       ADDRA;                  /* ADDRA        */
             unsigned int       ADDRB;                  /* ADDRB        */
             unsigned int       ADDRC;                  /* ADDRC        */
             unsigned int       ADDRD;                  /* ADDRD        */
             unsigned int       ADDRE;                  /* ADDRE        */
             unsigned int       ADDRF;                  /* ADDRF        */
             unsigned int       ADDRG;                  /* ADDRG        */
             unsigned int       ADDRH;                  /* ADDRH        */
             union {                                    /* ADCSR        */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char ADF :1;         /*    ADF       */
                          unsigned char ADIE:1;         /*    ADIE      */
                          unsigned char ADST:1;         /*    ADST      */
                          unsigned char     :1;         /*              */
                          unsigned char CH  :4;         /*    CH        */
                          }      BIT;                   /*              */
                   }            ADCSR;                  /*              */
             union {                                    /* ADCR         */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char TRGS :2;        /*    TRGS      */
                          unsigned char SCANE:1;        /*    SCANE     */
                          unsigned char SCANS:1;        /*    SCANS     */
                          unsigned char CKS  :2;        /*    CKS       */
                          }      BIT;                   /*              */
                   }            ADCR;                   /*              */
};                                                      /*              */
union un_wdt {                                          /* union WDT    */
             struct {                                   /* Read  Access */
                    union {                             /* TCSR         */
                          unsigned char BYTE;           /*  Byte Access */
                          struct {                      /*  Bit  Access */
                                 unsigned char OVF :1;  /*    OVF       */
                                 unsigned char WTIT:1;  /*    WT/IT     */
                                 unsigned char TME :1;  /*    TME       */
                                 unsigned char     :2;  /*              */
                                 unsigned char CKS :3;  /*    CKS       */
                                 }      BIT;            /*              */
                          }       TCSR;                 /*              */
                    unsigned char TCNT;                 /* TCNT         */
                    char          wk;                   /*              */
                    union {                             /* RSTCSR       */
                          unsigned char BYTE;           /*  Byte Access */
                          struct {                      /*              */
                                 unsigned char WOVF:1;  /*    WOVF      */
                                 unsigned char RSTE:1;  /*    RSTE      */
                                 }      BIT;            /*              */
                          }       RSTCSR;               /*              */
                    } READ;                             /*              */
             struct {                                   /* Write Access */
                    unsigned int  TCSR;                 /* TCSR/TCNT    */
                    unsigned int  RSTCSR;               /* RSTCSR       */
                    } WRITE;                            /*              */
};                                                      /*              */
struct st_tpu {                                         /* struct TPU   */
              union {                                   /* TSTR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :2;        /*              */
                           unsigned char CST5:1;        /*    CST5      */
                           unsigned char CST4:1;        /*    CST4      */
                           unsigned char CST3:1;        /*    CST3      */
                           unsigned char CST2:1;        /*    CST2      */
                           unsigned char CST1:1;        /*    CST1      */
                           unsigned char CST0:1;        /*    CST0      */
                           }      BIT;                  /*              */
                    }           TSTR;                   /*              */
              union {                                   /* TSYR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :2;       /*              */
                           unsigned char SYNC5:1;       /*    SYNC5     */
                           unsigned char SYNC4:1;       /*    SYNC4     */
                           unsigned char SYNC3:1;       /*    SYNC3     */
                           unsigned char SYNC2:1;       /*    SYNC2     */
                           unsigned char SYNC1:1;       /*    SYNC1     */
                           unsigned char SYNC0:1;       /*    SYNC0     */
                           }      BIT;                  /*              */
                    }           TSYR;                   /*              */
};                                                      /*              */
struct st_tpu0 {                                        /* struct TPU0  */
               union {                                  /* TCR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCLR:3;       /*    CCLR      */
                            unsigned char CKEG:2;       /*    CKEG      */
                            unsigned char TPSC:3;       /*    TPSC      */
                            }      BIT;                 /*              */
                     }          TCR;                    /*              */
               union {                                  /* TMDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :2;        /*              */
                            unsigned char BFB:1;        /*    BFB       */
                            unsigned char BFA:1;        /*    BFA       */
                            unsigned char MD :4;        /*    MD        */
                            }      BIT;                 /*              */
                     }          TMDR;                   /*              */
               union {                                  /* TIOR         */
                     unsigned int WORD;                 /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char H;            /*    TIORH     */
                            unsigned char L;            /*    TIORL     */
                            }     BYTE;                 /*              */
                     struct {                           /*  Bit  Access */
                            unsigned char IOB:4;        /*    IOB       */
                            unsigned char IOA:4;        /*    IOA       */
                            unsigned char IOD:4;        /*    IOD       */
                            unsigned char IOC:4;        /*    IOC       */
                            }     BIT;                  /*              */
                     }          TIOR;                   /*              */
               union {                                  /* TIER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TTGE :1;      /*    TTGE      */
                            unsigned char      :2;      /*              */
                            unsigned char TCIEV:1;      /*    TCIEV     */
                            unsigned char TGIED:1;      /*    TGIED     */
                            unsigned char TGIEC:1;      /*    TGIEC     */
                            unsigned char TGIEB:1;      /*    TGIEB     */
                            unsigned char TGIEA:1;      /*    TGIEA     */
                            }      BIT;                 /*              */
                     }          TIER;                   /*              */
               union {                                  /* TSR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :3;       /*              */
                            unsigned char TCFV:1;       /*    TCFV      */
                            unsigned char TGFD:1;       /*    TGFD      */
                            unsigned char TGFC:1;       /*    TGFC      */
                            unsigned char TGFB:1;       /*    TGFB      */
                            unsigned char TGFA:1;       /*    TGFA      */
                            }      BIT;                 /*              */
                     }          TSR;                    /*              */
               unsigned int     TCNT;                   /* TCNT         */
               unsigned int     TGRA;                   /* TGRA         */
               unsigned int     TGRB;                   /* TGRB         */
               unsigned int     TGRC;                   /* TGRC         */
               unsigned int     TGRD;                   /* TGRD         */
};                                                      /*              */
struct st_tpu1 {                                        /* struct TPU1  */
               union {                                  /* TCR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char CCLR:2;       /*    CCLR      */
                            unsigned char CKEG:2;       /*    CKEG      */
                            unsigned char TPSC:3;       /*    TPSC      */
                            }      BIT;                 /*              */
                     }          TCR;                    /*              */
               union {                                  /* TMDR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char   :4;         /*              */
                            unsigned char MD:4;         /*    MD        */
                            }      BIT;                 /*              */
                     }          TMDR;                   /*              */
               union {                                  /* TIOR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char IOB:4;        /*    IOB       */
                            unsigned char IOA:4;        /*    IOA       */
                            }      BIT;                 /*              */
                     }          TIOR;                   /*              */
               char             wk;                     /*              */
               union {                                  /* TIER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TTGE :1;      /*    TTGE      */
                            unsigned char      :1;      /*              */
                            unsigned char TCIEU:1;      /*    TCIEU     */
                            unsigned char TCIEV:1;      /*    TCIEV     */
                            unsigned char      :2;      /*              */
                            unsigned char TGIEB:1;      /*    TGIEB     */
                            unsigned char TGIEA:1;      /*    TGIEA     */
                            }      BIT;                 /*              */
                     }          TIER;                   /*              */
               union {                                  /* TSR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TCFD:1;       /*    TCFD      */
                            unsigned char     :1;       /*              */
                            unsigned char TCFU:1;       /*    TCFU      */
                            unsigned char TCFV:1;       /*    TCFV      */
                            unsigned char     :2;       /*              */
                            unsigned char TGFB:1;       /*    TGFB      */
                            unsigned char TGFA:1;       /*    TGFA      */
                            }      BIT;                 /*              */
                     }          TSR;                    /*              */
               unsigned int     TCNT;                   /* TCNT         */
               unsigned int     TGRA;                   /* TGRA         */
               unsigned int     TGRB;                   /* TGRB         */
};                                                      /*              */
#ifdef __GNUC__
	#define RCANET0 (*(volatile struct st_rcanet0 *)0xFFEA00)
	#define RCANET1 (*(volatile struct st_rcanet1 *)0xFFF000)
#else
	#define RCANET0 (*(volatile __evenaccess struct st_rcanet0 *)0xFFEA00)
	#define RCANET1 (*(volatile __evenaccess struct st_rcanet1 *)0xFFF000)
#endif

#define SSU0    (*(volatile struct st_ssu   *)0xFFF600) /* SSU0  Address*/
#define SSU1    (*(volatile struct st_ssu   *)0xFFF610) /* SSU1  Address*/
#define SDG0    (*(volatile struct st_sdg   *)0xFFF640) /* SDG0  Address*/
#define SDG1    (*(volatile struct st_sdg   *)0xFFF650) /* SDG1  Address*/
#define SDG2    (*(volatile struct st_sdg   *)0xFFF660) /* SDG2  Address*/
#define SDG3    (*(volatile struct st_sdg   *)0xFFF670) /* SDG3  Address*/
#define PWM0    (*(volatile struct st_pwm   *)0xFFF6A0) /* PWM0  Address*/
#define PWM1    (*(volatile struct st_pwm   *)0xFFF6B0) /* PWM1  Address*/
#define PWM2    (*(volatile struct st_pwm   *)0xFFF6C0) /* PWM2  Address*/
#define WAT     (*(volatile struct st_wat   *)0xFFF6D0) /* WAT   Address*/
#define MCPWM1  (*(volatile struct st_mcpwm1*)0xFFF6E0) /* MCPWM1Address*/
#define MCPWM2  (*(volatile struct st_mcpwm2*)0xFFF6F0) /* MCPWM2Address*/
#define P1      (*(volatile struct st_p1    *)0xFFFB80) /* P1    Address*/
#define P2      (*(volatile struct st_p2    *)0xFFFB81) /* P2    Address*/
#define P3      (*(volatile struct st_p3    *)0xFFFB82) /* P3    Address*/
#define P4      (*(volatile struct st_p4    *)0xFFFB93) /* P4    Address*/
#define P5      (*(volatile struct st_p5    *)0xFFFB94) /* P5    Address*/
#define P6      (*(volatile struct st_p6    *)0xFFFB85) /* P6    Address*/
#define PA      (*(volatile struct st_pa    *)0xFFFB89) /* PA    Address*/
#define PD      (*(volatile struct st_pd    *)0xFFFB8C) /* PD    Address*/
#define PE      (*(volatile struct st_pe    *)0xFFFB8D) /* PE    Address*/
#define PF      (*(volatile struct st_pf    *)0xFFFB8E) /* PF    Address*/
#define PH      (*(volatile struct st_ph    *)0xFFFBA0) /* PH    Address*/
#define PI      (*(volatile struct st_pi    *)0xFFFBA1) /* PI    Address*/
#define PJ      (*(volatile struct st_pj    *)0xFFFBA2) /* PJ    Address*/
#define PK      (*(volatile struct st_pk    *)0xFFFBA3) /* PK    Address*/
#define PFC     (*(volatile struct st_pfc   *)0xFFFBC2) /* PFC   Address*/
#define INTC    (*(volatile struct st_intc  *)0xFFFBCE) /* INTC  Address*/
#define DMAC0   (*(volatile struct st_dmac0 *)0xFFFC00) /* DMAC0 Address*/
#define DMAC1   (*(volatile struct st_dmac1 *)0xFFFC20) /* DMAC1 Address*/
#define DMAC2   (*(volatile struct st_dmac2 *)0xFFFC40) /* DMAC2 Address*/
#define DMAC3   (*(volatile struct st_dmac3 *)0xFFFC60) /* DMAC3 Address*/
#define BSC     (*(volatile struct st_bsc   *)0xFFFD84) /* BSC   Address*/
#define MDCR    (*(volatile union  un_mdcr  *)0xFFFDC0) /* MDCR  Address*/
#define SYSCR   (*(volatile union  un_syscr *)0xFFFDC2) /* SYSCR Address*/
#define SCKCR   (*(volatile union  un_sckcr *)0xFFFDC4) /* SCKCR Address*/
#define SBYCR   (*(volatile union  un_sbycr *)0xFFFDC6) /* SBYCR Address*/
#define MSTP    (*(volatile struct st_mstp  *)0xFFFDC8) /* MSTP  Address*/
#define SUBCKCR (*(volatile union  un_subckcr*)0xFFFDCF)/* SCKCR Address*/
#define FLASH   (*(volatile struct st_flash *)0xFFFD9E) /* FLASH Address*/
#define IIC20   (*(volatile struct st_iic2  *)0xFFFEB0) /* IIC20 Address*/
#define IIC21   (*(volatile struct st_iic2  *)0xFFFEB8) /* IIC21 Address*/
#define DA      (*(volatile struct st_da    *)0xFFF710) /* D/A   Address*/
#define SCI0    (*(volatile struct st_sci   *)0xFFFF80) /* SCI0  Address*/
#define SCI2    (*(volatile struct st_sci   *)0xFFFF60) /* SCI2  Address*/
#define SCI4    (*(volatile struct st_sci   *)0xFFFE90) /* SCI4  Address*/
#define SCI5    (*(volatile struct st_sci   *)0xFFFE98) /* SCI5  Address*/
#define SMCI0   (*(volatile struct st_smci  *)0xFFFF80) /* SMCI0 Address*/
#define SMCI2   (*(volatile struct st_smci  *)0xFFFF60) /* SMCI2 Address*/
#define SMCI4   (*(volatile struct st_smci  *)0xFFFE90) /* SMCI4 Address*/
#define SMCI5   (*(volatile struct st_smci  *)0xFFFE98) /* SMCI5 Address*/
#define AD0     (*(volatile struct st_ad    *)0xFFFF90) /* A/D0  Address*/
#define AD1     (*(volatile struct st_ad    *)0xFFFA90) /* A/D1  Address*/
#define WDT     (*(volatile union  un_wdt   *)0xFFFFA4) /* WDT   Address*/
#define TPU     (*(volatile struct st_tpu   *)0xFFFFBC) /* TPU   Address*/
#define TPU0    (*(volatile struct st_tpu0  *)0xFFFFC0) /* TPU0  Address*/
#define TPU1    (*(volatile struct st_tpu1  *)0xFFFFD0) /* TPU1  Address*/
#define TPU2    (*(volatile struct st_tpu1  *)0xFFFFE0) /* TPU2  Address*/
#define TPU3    (*(volatile struct st_tpu0  *)0xFFFFF0) /* TPU3  Address*/
#define TPU4    (*(volatile struct st_tpu1  *)0xFFFEE0) /* TPU4  Address*/
#define TPU5    (*(volatile struct st_tpu1  *)0xFFFEF0) /* TPU5  Address*/
